#ifndef Random_hh
#define Random_hh



/** Sets the seed of the random number generator. */
void MyRandomSeed (const int seed);		

/** Returns a double random value in [0..1]. */
double MyRandom ();		

/** Returns an integer random value between 0 and n-1. */
int MyRandom (const int n);		

/** Returns an integer random value between low and high. */
int MyRandom (const int low, const int high);		

/** Returns a boolean random with probability p of being true. */
bool MyRandom (const double p);		



#endif
