#!./llsh


puts "
Description: Lower bounds for the MINLA problem
Hostname: [exec hostname]
Date: [exec date]
"

proc @ {o} {
	return [$o cget -this]
}


proc delete {o} {
	rename $o ""
}

foreach filename [lsort $argv] {
	Graph G $filename
	puts "$filename:\n"
	foreach method {edges_method degree_method path_method juvan_mohar gomory_hu mesh_method} {
		puts -nonewline [format "%20s " $method]
		flush stdout		
		set t [expr [lindex [time {set lb [LowerBounds_LA_$method [@ G]]}] 0]/1000000.0]
		puts [format "%12i %12.3f" $lb $t]
		flush stdout		
	}
	puts "\n"

	delete G
}
